Package org.apache.solr.client.solrj.request.schema

## Class AbstractSchemaRequest<T extends SolrResponse>

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest<T>

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `SchemaRequest`, `SchemaRequest.CopyFields`, `SchemaRequest.DynamicField`, `SchemaRequest.DynamicFields`, `SchemaRequest.Field`, `SchemaRequest.Fields`, `SchemaRequest.FieldType`, `SchemaRequest.FieldTypes`, `SchemaRequest.GlobalSimilarity`, `SchemaRequest.SchemaName`, `SchemaRequest.SchemaVersion`, `SchemaRequest.UniqueKey`, `SchemaRequest.Update`

    public abstract class AbstractSchemaRequest<T extends SolrResponse>
    extends SolrRequest<T>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`AbstractSchemaRequest​(SolrRequest.METHOD m, String path)`
`AbstractSchemaRequest​(SolrRequest.METHOD m, String path, SolrParams params)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SolrParams` `getParams()`
`String` `getRequestType()` This method defines the type of this Solr request.

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, createResponse, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, setBasePath, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractSchemaRequest

    public AbstractSchemaRequest​(SolrRequest.METHOD m,
                                 String path)

#### AbstractSchemaRequest

    public AbstractSchemaRequest​(SolrRequest.METHOD m,
                                 String path,
                                 SolrParams params)

### Method Detail

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<T extends SolrResponse>`

#### getRequestType

    public String getRequestType()

Description copied from class: `SolrRequest`
This method defines the type of this Solr request.

Specified by:
  `getRequestType` in class `SolrRequest<T extends SolrResponse>`